Page MenuHome

BMesh booleans (track todo's)
Confirmed, NormalPublicTO DO

Description

This is created to keep track of TODO's for BMesh booleans.


also test F240062 from T46269

Related Objects

StatusSubtypeAssignedTask
ConfirmedTO DONone
ConfirmedKNOWN ISSUENone
ResolvedKNOWN ISSUEHoward Trickey (howardt)
ResolvedCampbell Barton (campbellbarton)
ResolvedKNOWN ISSUEHoward Trickey (howardt)
InvalidCampbell Barton (campbellbarton)
ResolvedKNOWN ISSUEHoward Trickey (howardt)
ResolvedCampbell Barton (campbellbarton)
ResolvedTO DOCampbell Barton (campbellbarton)
ResolvedKNOWN ISSUEHoward Trickey (howardt)
ResolvedKNOWN ISSUEHoward Trickey (howardt)
ResolvedKNOWN ISSUEBastien Montagne (mont29)
ConfirmedTO DONone
ResolvedTO DOCampbell Barton (campbellbarton)
DuplicateBUGPhilipp Oeser (lichtwerk)
ResolvedNone
ConfirmedBUGNone
ResolvedBUGHoward Trickey (howardt)
ResolvedAaron Carlisle (Blendify)
ResolvedBUGHoward Trickey (howardt)
ConfirmedTO DONone
ResolvedCampbell Barton (campbellbarton)
ConfirmedBUGNone
DuplicateTO DONone
ResolvedBUGHoward Trickey (howardt)

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

As mentioned in T49923, to easily keep track of an another case ( the cylinders are just duplicated, rotated and joined).

Another easy to repro failing case (2.79):

Create a box, duplicate, move dup a bit along x axis and scale down along y axis, create bmesh boolean union -> fails.
Overlap threshold dosen't help.

Campbell Barton (campbellbarton) changed the status of subtask T58814: BMesh boolean is just too much unreliable from Unknown Status to Unknown Status.Dec 6 2018, 6:29 AM

From latest tests, adding a vertex colors layers on "hole" does fix issue on parent, the same goes for uvs (at least 1st layer, not checked further with 2nd one).

I can see. I told them very early few years ago and they ignore me as well until you can see happen about Boolean error.
I knew it.

Campbell Barton (campbellbarton) changed the status of subtask T56532: boolen error freeze from Unknown Status to Resolved.Aug 29 2019, 3:11 PM

Why you put INVALID? Please continue to fix BOOLEAN there still have bug.
Blender 2.6 is perfect there have no bug on Boolean.
Blender 2.7 is lot bug boolean. I already deeply test complete.

Germano Cavalcante (mano-wii) changed the status of subtask T54406: Boolean Union Bug from Confirmed to Needs Information from User.Feb 3 2020, 1:03 PM

Now you can see. Blender 2.83 Alpha bad bug Boolean see 2 pictures.


Wait to see about Boolean next Blender 2.91 Alpha I will inspect tomorrow evenight (September 1, 2020)
Blender 2.6 pretty beautiful boolean but Blender 2.7 mess up as well. Wait to see to take test.

Howard Trickey (howardt) changed the status of subtask T61845: BMesh booleans fail with holes from Duplicate to Resolved.Sep 1 2020, 2:17 AM

Blender 2.91 Alpha for MacOS 11
There is not resolve. I inspect again Boolean error still.

Original .blend

After Bool is error

I just got download
Blender 2.91.0 Alpha
September 05, 23:36:54- 5faf72bb719b
macOS 64 bit
297.28MB

Congratulation Boolean fixed but almost. I show you on vertex

Still problem
Blender 2.91.0 Alpha
September 07, 23:35:19- 5c2ac8520e07
macOS 64 bit
291.53MB